EndpointsCoworlds
List hosted play sessions
GET
/v2/coworlds/play/sessionsLists hosted Coworld play sessions owned by the caller, newest first. A continuation cursor is returned in the X-Next-Cursor response header when another page exists.
Authorization
BearerAuth AuthorizationBearer <token>
Bearer token issued by Softmax
In: header
Query Parameters
limit?Limit
Maximum play sessions to return.
Range
1 <= value <= 200Default
50cursor?|
Continuation token from the previous response's X-Next-Cursor header.
curl -X GET "https://softmax.com/api/observatory/v2/coworlds/play/sessions"[ { "session_id": "string", "game_name": "string", "player_count": 0, "slots_filled": 0, "allow_spectators": true, "status": "string", "created_at": "2019-08-24T14:15:22Z", "expires_at": "2019-08-24T14:15:22Z", "ended_at": "2019-08-24T14:15:22Z", "lobby_url": "string", "global_url": "string", "players": [ { "slot": 0, "label": "string", "slot_kind": "human", "user_id": "string", "player_id": "string", "player_name": "string", "policy_version_id": "7cd41427-f4be-4006-ab17-5ead7f8f8446", "policy_name": "string", "policy_version": 0, "joined_at": "2019-08-24T14:15:22Z", "is_viewer": false } ], "spectators": [ { "label": "string", "player_id": "string", "player_name": "string", "joined_at": "2019-08-24T14:15:22Z", "is_viewer": false } ], "can_terminate": true }]